> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/fr/form-management/data-export/data-exports/json.md).

# JSON

L'exportation de données JSON génère un fichier au format JSON avec la définition suivante que vous pouvez réutiliser dans tout endpoint ou code capable de lire du JSON.&#x20;

```
{
  "surveyId": "yoursurveyid",
  "respondents": [
    {
      "id": "respondent1",
      "startDate": "2020-09-09T21:37:19.800Z",
      "endDate": "2020-09-09T21:37:25.460Z",
      "ip": "190.0.0.1",
      "lang": null,
      "answers": {
        "q_question": "réponse à la question du répondant",
        "f_fieldanswer": "saisie texte du répondant",
      }
    },
    {
      "id": "respondent2",
      "startDate": "2020-09-10T05:07:48.377Z",
      "endDate": "2020-09-10T05:41:18.877Z",
      "ip": "190.0.0.1",
      "lang": null,
      "answers": {
        "q_question": "réponse à la question du répondant",
        "f_fieldanswer": "saisie texte du répondant",
      }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/fr/form-management/data-export/data-exports/json.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
